---
title: 'SyntaxError: missing } after property list'
slug: Web/JavaScript/Reference/Errors/Missing_curly_after_property_list
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "missing } after property list" occurs when there is a mistake in the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Object_initializer">object initializer</a> syntax somewhere. Might be in fact a missing curly bracket, but could also be a missing comma.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: Expected '}' (Edge)
SyntaxError: missing } after property list (Firefox)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>There is a mistake in the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Object_initializer">object initializer</a> syntax somewhere. Might be in fact a missing curly bracket, but could also be a missing comma, for example. Also check if any closing curly brackets or parenthesis are in the correct order. Indenting or formatting the code a bit nicer might also help you to see through the jungle.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Forgotten_comma">Forgotten comma</h3>

<p>Oftentimes, there is a missing comma in your object initializer code:</p>

<pre class="brush: js example-bad">var obj = {
  a: 1,
  b: { myProp: 2 }
  c: 3
};
</pre>

<p>Correct would be:</p>

<pre class="brush: js example-good">var obj = {
  a: 1,
  b: { myProp: 2 },
  c: 3
};
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Object_initializer">Object initializer</a></li>
</ul>
